<?php
// About-Page
function geo_capblack_about_page() {
?>
<div class="wrap geocaptcha">
   <div id="icon-geo-captcha-blacklist" class="icon32"><br /></div><h2><?php _e('Geo Captcha', 'geo-captcha-blacklist'); ?> &bull; <?php _e('About', 'geo-captcha-blacklist'); ?></h2>
   <div id="poststuff">
		<div class="postbox" style="width: 30%; float: right;">
			<h3><?php _e('Changelog', 'geo-captcha-blacklist'); ?></h3>
			<div class="inside">
				<h5>Version 2.0</h5>
					<ul>
						<li>Added blacklist function to disable comments completly for one or more countries</li>
						<li>Cleaned up a lot of source code</li>
						<li>You can now set unknown countries on the white- or blacklist</li>
					</ul>
				<h5>Version 1.9</h5>
					<ul>
						<li>Manually as spam marked comments will now affect the statistics</li>
						<li>Latest country database added</li>
						<li>Improved design</li>
						<li>I did NOT replace securimage because the latest version did not work as expected</li>
					</ul>
				<h5>Version 1.2</h5>
					<ul>
						<li>Now works for comments and registration</li>
						<li>Improved log function</li>
						<li>IP logging possible</li>
						<li>Included country code list</li>
						<li>Latest country database added</li>
					</ul>
				<h5>Version 1.0</h5>
					<ul>
						<li>Small bugfixes</li>
					</ul>
				<h5>Version 0.9</h5>
					<ul>
						<li>Plugin release</li>
					</ul>
		   </div>
		</div>
		
		<div style="width: 30%; float: left;">
			<div class="postbox">
				<h3><?php _e('About', 'geo-captcha-blacklist'); ?></h3>
				<div class="inside">
					<p><?php _e('There are a lot of great plugins to prevent spam but especially the effectiv captcha images can annoy your human visitors. Geo Captcha uses the knowledge that a lot of spam is caused from a few countries and prevents them from spamming.', 'geo-captcha-blacklist'); ?></p>
					<p><?php _e('Visitors from the countries on your whitelist will never see a captcha image and will not be annoyed. Visitors from other countries will have to type in the captcha code or their comments and registrations will be blocked.', 'geo-captcha-blacklist'); ?></p>
				</div>
			</div>
			
			<div class="postbox">
				<h3><?php _e('Credits', 'geo-captcha-blacklist'); ?></h3>
				<div class="inside">
				   <p><?php _e('The location of the visitors is checked using the GeoLite Country-Library from <a href="http://www.maxmind.com">MaxMind</a>.', 'geo-captcha-blacklist'); ?></p>
				   <p><?php _e('The captcha image is generated using <a href="http://www.phpcaptcha.org">SecurImage</a> from drew010.', 'geo-captcha-blacklist'); ?></p>
				</div>
			</div>
		</div>
		
		<div style="width: 30%; float: left; margin-left: 5%;">
			<div class="postbox">
				<h3><?php _e('Enjoy the plugin?', 'geo-captcha-blacklist'); ?></h3>
				<div class="inside">
					<p><?php _e('If you like the plugin you can support my work in different ways:!', 'geo-captcha-blacklist'); ?></p>
					<ul>
						<li><a href="http://wordpress.org/extend/plugins/geo-captcha-geo-blacklist/"><?php _e('Rate it on WordPress.org', 'geo-captcha-blacklist'); ?></a></li>
						<li><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=2H38X62RW86SL"><?php _e('Donate using PayPal', 'geo-captcha-blacklist'); ?></a></li>
						<li><a href="http://www.amazon.de/registry/wishlist/2ZWBSTFQJ9PDU"><?php _e('Take a look at my Amazon wishlist', 'geo-captcha-blacklist'); ?></a></li>
					</ul>
				</div>
			</div>
			
			<div class="postbox">
				<h3><?php _e('Support', 'geo-captcha-blacklist'); ?></h3>
				<div class="inside">
					<p><?php _e('If you encounter any problems feel free to use our <a href="http://support.deformed-design.de">Help Desk</a>.', 'geo-captcha-blacklist'); ?></p>
				</div>
			</div>
		</div>
		
		<div class="postbox" style="clear: both;">
			<h3><?php _e('Uninstall', 'geo-captcha-blacklist'); ?></h3>
			<div class="inside">
				<form method="post" action="">
					<p><?php _e('Yes, I want to uninstall Geo Captcha', 'geo-captcha-blacklist'); ?> <input name="uninstall_sure" value="y" type="checkbox" /></p>
					<p><input type="submit" class="button" value="<?php _e('Full Uninstall Geo Captcha', 'geo-captcha-blacklist'); ?>" />
					<input name="action" value="full_uninstall_geo_capblack" type="hidden" /></p>
				</form>
			</div>
		</div>
	</div>
</div>
<?php
}
?>